net.sf.jasperreports.charts.design

## Class JRDesignBarPlot

- java.lang.Object
- - net.sf.jasperreports.engine.base.JRBaseChartPlot
  - - net.sf.jasperreports.charts.base.JRBaseBarPlot
    - - net.sf.jasperreports.charts.design.JRDesignBarPlot

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, JRDesignCategoryPlot, JRBarPlot, JRCategoryAxisFormat, JRCategoryPlot, JRValueAxisFormat, JRChangeEventsSupport, JRChartPlot, JRCloneable

      public class JRDesignBarPlot
      extends JRBaseBarPlot
      implements JRDesignCategoryPlot

  Version:
    $Id: JRDesignBarPlot.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.sf.jasperreports.engine.base.JRBaseChartPlot

      `JRBaseChartPlot.JRBaseSeriesColor`

    - ### Nested classes/interfaces inherited from interface net.sf.jasperreports.engine.JRChartPlot

      `JRChartPlot.JRSeriesColor`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROPERTY_CATEGORY_AXIS_LABEL_COLOR`
    `static java.lang.String` | `PROPERTY_CATEGORY_AXIS_LABEL_FONT`
    `static java.lang.String` | `PROPERTY_CATEGORY_AXIS_LINE_COLOR`
    `static java.lang.String` | `PROPERTY_CATEGORY_AXIS_TICK_LABEL_COLOR`
    `static java.lang.String` | `PROPERTY_CATEGORY_AXIS_TICK_LABEL_FONT`
    `static java.lang.String` | `PROPERTY_CATEGORY_AXIS_TICK_LABEL_MASK`
    `static java.lang.String` | `PROPERTY_CATEGORY_AXIS_VERTICAL_TICK_LABELS`
    `static java.lang.String` | `PROPERTY_ITEM_LABEL`
    `static java.lang.String` | `PROPERTY_VALUE_AXIS_LABEL_COLOR`
    `static java.lang.String` | `PROPERTY_VALUE_AXIS_LABEL_FONT`
    `static java.lang.String` | `PROPERTY_VALUE_AXIS_LINE_COLOR`
    `static java.lang.String` | `PROPERTY_VALUE_AXIS_TICK_LABEL_COLOR`
    `static java.lang.String` | `PROPERTY_VALUE_AXIS_TICK_LABEL_FONT`
    `static java.lang.String` | `PROPERTY_VALUE_AXIS_TICK_LABEL_MASK`
    `static java.lang.String` | `PROPERTY_VALUE_AXIS_VERTICAL_TICK_LABELS`

    - ### Fields inherited from class net.sf.jasperreports.charts.base.JRBaseBarPlot

      `categoryAxisLabelColor, categoryAxisLabelExpression, categoryAxisLabelFont, categoryAxisLineColor, categoryAxisTickLabelColor, categoryAxisTickLabelFont, categoryAxisTickLabelMask, categoryAxisVerticalTickLabels, domainAxisMaxValueExpression, domainAxisMinValueExpression, itemLabel, PROPERTY_SHOW_LABELS, PROPERTY_SHOW_TICK_LABELS, PROPERTY_SHOW_TICK_MARKS, rangeAxisMaxValueExpression, rangeAxisMinValueExpression, showLabels, showTickLabels, showTickMarks, valueAxisLabelColor, valueAxisLabelExpression, valueAxisLabelFont, valueAxisLineColor, valueAxisTickLabelColor, valueAxisTickLabelFont, valueAxisTickLabelMask, valueAxisVerticalTickLabels`

    - ### Fields inherited from class net.sf.jasperreports.engine.base.JRBaseChartPlot

      `backcolor, backgroundAlphaFloat, chart, foregroundAlphaFloat, labelRotationDouble, orientationValue, PROPERTY_BACKCOLOR, PROPERTY_BACKGROUND_ALPHA, PROPERTY_FOREGROUND_ALPHA, PROPERTY_LABEL_ROTATION, PROPERTY_ORIENTATION, PROPERTY_SERIES_COLORS, seriesColors`

    - ### Fields inherited from interface net.sf.jasperreports.charts.design.JRDesignCategoryPlot

      `PROPERTY_CATEGORY_AXIS_LABEL_EXPRESSION, PROPERTY_DOMAIN_AXIS_MAXVALUE_EXPRESSION, PROPERTY_DOMAIN_AXIS_MINVALUE_EXPRESSION, PROPERTY_RANGE_AXIS_MAXVALUE_EXPRESSION, PROPERTY_RANGE_AXIS_MINVALUE_EXPRESSION, PROPERTY_VALUE_AXIS_LABEL_EXPRESSION`

    - ### Fields inherited from interface net.sf.jasperreports.charts.JRCategoryAxisFormat

      `PROPERTY_CATEGORY_AXIS_TICK_LABEL_ROTATION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRDesignBarPlot(JRChartPlot plot, JRChart chart)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setCategoryAxisFormat(JRAxisFormat axisFormat)`
    `void` | `setCategoryAxisLabelColor(java.awt.Color categoryAxisLabelColor)`
    `void` | `setCategoryAxisLabelExpression(JRExpression categoryAxisLabelExpression)`
    `void` | `setCategoryAxisLabelFont(JRFont categoryAxisLabelFont)`
    `void` | `setCategoryAxisLineColor(java.awt.Color categoryAxisLineColor)`
    `void` | `setCategoryAxisTickLabelColor(java.awt.Color categoryAxisTickLabelColor)`
    `void` | `setCategoryAxisTickLabelFont(JRFont categoryAxisTickLabelFont)`
    `void` | `setCategoryAxisTickLabelMask(java.lang.String categoryAxisTickLabelMask)`
    `void` | `setCategoryAxisVerticalTickLabels(java.lang.Boolean categoryAxisVerticalTickLabels)`
    `void` | `setDomainAxisMaxValueExpression(JRExpression domainAxisMaxValueExpression)`
    `void` | `setDomainAxisMinValueExpression(JRExpression domainAxisMinValueExpression)`
    `void` | `setItemLabel(JRItemLabel itemLabel)`
    `void` | `setRangeAxisMaxValueExpression(JRExpression rangeAxisMaxValueExpression)`
    `void` | `setRangeAxisMinValueExpression(JRExpression rangeAxisMinValueExpression)`
    `void` | `setValueAxisFormat(JRAxisFormat axisFormat)`
    `void` | `setValueAxisLabelColor(java.awt.Color valueAxisLabelColor)`
    `void` | `setValueAxisLabelExpression(JRExpression valueAxisLabelExpression)`
    `void` | `setValueAxisLabelFont(JRFont valueAxisLabelFont)`
    `void` | `setValueAxisLineColor(java.awt.Color valueAxisLineColor)`
    `void` | `setValueAxisTickLabelColor(java.awt.Color valueAxisTickLabelColor)`
    `void` | `setValueAxisTickLabelFont(JRFont valueAxisTickLabelFont)`
    `void` | `setValueAxisTickLabelMask(java.lang.String valueAxisTickLabelMask)`
    `void` | `setValueAxisVerticalTickLabels(java.lang.Boolean valueAxisVerticalTickLabels)`

    - ### Methods inherited from class net.sf.jasperreports.charts.base.JRBaseBarPlot

      `clone, collectExpressions, getCategoryAxisLabelColor, getCategoryAxisLabelExpression, getCategoryAxisLabelFont, getCategoryAxisLineColor, getCategoryAxisTickLabelColor, getCategoryAxisTickLabelFont, getCategoryAxisTickLabelMask, getCategoryAxisTickLabelRotation, getCategoryAxisVerticalTickLabels, getDomainAxisMaxValueExpression, getDomainAxisMinValueExpression, getItemLabel, getOwnCategoryAxisLabelColor, getOwnCategoryAxisLineColor, getOwnCategoryAxisTickLabelColor, getOwnValueAxisLabelColor, getOwnValueAxisLineColor, getOwnValueAxisTickLabelColor, getRangeAxisMaxValueExpression, getRangeAxisMinValueExpression, getShowLabels, getShowTickLabels, getShowTickMarks, getValueAxisLabelColor, getValueAxisLabelExpression, getValueAxisLabelFont, getValueAxisLineColor, getValueAxisTickLabelColor, getValueAxisTickLabelFont, getValueAxisTickLabelMask, getValueAxisVerticalTickLabels, setCategoryAxisTickLabelRotation, setShowLabels, setShowTickLabels, setShowTickMarks`

    - ### Methods inherited from class net.sf.jasperreports.engine.base.JRBaseChartPlot

      `addSeriesColor, clearSeriesColors, clone, getBackcolor, getBackgroundAlphaFloat, getChart, getEventSupport, getForegroundAlphaFloat, getLabelRotationDouble, getOrientation, getOrientationValue, getOwnBackcolor, getSeriesColors, setBackcolor, setBackgroundAlpha, setForegroundAlpha, setLabelRotation, setOrientation, setOrientation, setSeriesColors`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRChartPlot

      `addSeriesColor, clearSeriesColors, getBackcolor, getBackgroundAlphaFloat, getChart, getForegroundAlphaFloat, getLabelRotationDouble, getOrientation, getOrientationValue, getOwnBackcolor, getSeriesColors, setBackcolor, setBackgroundAlpha, setForegroundAlpha, setLabelRotation, setOrientation, setOrientation, setSeriesColors`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCloneable

      `clone`

- - ### Field Detail

    - #### PROPERTY_CATEGORY_AXIS_LABEL_COLOR

          public static final java.lang.String PROPERTY_CATEGORY_AXIS_LABEL_COLOR

      See Also:
        Constant Field Values

    - #### PROPERTY_CATEGORY_AXIS_LABEL_FONT

          public static final java.lang.String PROPERTY_CATEGORY_AXIS_LABEL_FONT

      See Also:
        Constant Field Values

    - #### PROPERTY_CATEGORY_AXIS_LINE_COLOR

          public static final java.lang.String PROPERTY_CATEGORY_AXIS_LINE_COLOR

      See Also:
        Constant Field Values

    - #### PROPERTY_CATEGORY_AXIS_TICK_LABEL_COLOR

          public static final java.lang.String PROPERTY_CATEGORY_AXIS_TICK_LABEL_COLOR

      See Also:
        Constant Field Values

    - #### PROPERTY_CATEGORY_AXIS_TICK_LABEL_FONT

          public static final java.lang.String PROPERTY_CATEGORY_AXIS_TICK_LABEL_FONT

      See Also:
        Constant Field Values

    - #### PROPERTY_CATEGORY_AXIS_TICK_LABEL_MASK

          public static final java.lang.String PROPERTY_CATEGORY_AXIS_TICK_LABEL_MASK

      See Also:
        Constant Field Values

    - #### PROPERTY_CATEGORY_AXIS_VERTICAL_TICK_LABELS

          public static final java.lang.String PROPERTY_CATEGORY_AXIS_VERTICAL_TICK_LABELS

      See Also:
        Constant Field Values

    - #### PROPERTY_VALUE_AXIS_LABEL_COLOR

          public static final java.lang.String PROPERTY_VALUE_AXIS_LABEL_COLOR

      See Also:
        Constant Field Values

    - #### PROPERTY_VALUE_AXIS_LABEL_FONT

          public static final java.lang.String PROPERTY_VALUE_AXIS_LABEL_FONT

      See Also:
        Constant Field Values

    - #### PROPERTY_VALUE_AXIS_LINE_COLOR

          public static final java.lang.String PROPERTY_VALUE_AXIS_LINE_COLOR

      See Also:
        Constant Field Values

    - #### PROPERTY_VALUE_AXIS_TICK_LABEL_COLOR

          public static final java.lang.String PROPERTY_VALUE_AXIS_TICK_LABEL_COLOR

      See Also:
        Constant Field Values

    - #### PROPERTY_VALUE_AXIS_TICK_LABEL_FONT

          public static final java.lang.String PROPERTY_VALUE_AXIS_TICK_LABEL_FONT

      See Also:
        Constant Field Values

    - #### PROPERTY_VALUE_AXIS_TICK_LABEL_MASK

          public static final java.lang.String PROPERTY_VALUE_AXIS_TICK_LABEL_MASK

      See Also:
        Constant Field Values

    - #### PROPERTY_VALUE_AXIS_VERTICAL_TICK_LABELS

          public static final java.lang.String PROPERTY_VALUE_AXIS_VERTICAL_TICK_LABELS

      See Also:
        Constant Field Values

    - #### PROPERTY_ITEM_LABEL

          public static final java.lang.String PROPERTY_ITEM_LABEL

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JRDesignBarPlot

          public JRDesignBarPlot(JRChartPlot plot,
                         JRChart chart)

  - ### Method Detail

    - #### setCategoryAxisLabelExpression

          public void setCategoryAxisLabelExpression(JRExpression categoryAxisLabelExpression)

      Specified by:
        `setCategoryAxisLabelExpression` in interface `JRDesignCategoryPlot`

    - #### setCategoryAxisLabelFont

          public void setCategoryAxisLabelFont(JRFont categoryAxisLabelFont)

    - #### setCategoryAxisLabelColor

          public void setCategoryAxisLabelColor(java.awt.Color categoryAxisLabelColor)

    - #### setCategoryAxisTickLabelFont

          public void setCategoryAxisTickLabelFont(JRFont categoryAxisTickLabelFont)

    - #### setCategoryAxisTickLabelColor

          public void setCategoryAxisTickLabelColor(java.awt.Color categoryAxisTickLabelColor)

    - #### setCategoryAxisTickLabelMask

          public void setCategoryAxisTickLabelMask(java.lang.String categoryAxisTickLabelMask)

    - #### setCategoryAxisVerticalTickLabels

          public void setCategoryAxisVerticalTickLabels(java.lang.Boolean categoryAxisVerticalTickLabels)

    - #### setCategoryAxisLineColor

          public void setCategoryAxisLineColor(java.awt.Color categoryAxisLineColor)

    - #### setValueAxisLabelExpression

          public void setValueAxisLabelExpression(JRExpression valueAxisLabelExpression)

      Specified by:
        `setValueAxisLabelExpression` in interface `JRDesignCategoryPlot`

    - #### setDomainAxisMinValueExpression

          public void setDomainAxisMinValueExpression(JRExpression domainAxisMinValueExpression)

      Specified by:
        `setDomainAxisMinValueExpression` in interface `JRDesignCategoryPlot`

    - #### setDomainAxisMaxValueExpression

          public void setDomainAxisMaxValueExpression(JRExpression domainAxisMaxValueExpression)

      Specified by:
        `setDomainAxisMaxValueExpression` in interface `JRDesignCategoryPlot`

    - #### setRangeAxisMinValueExpression

          public void setRangeAxisMinValueExpression(JRExpression rangeAxisMinValueExpression)

      Specified by:
        `setRangeAxisMinValueExpression` in interface `JRDesignCategoryPlot`

    - #### setRangeAxisMaxValueExpression

          public void setRangeAxisMaxValueExpression(JRExpression rangeAxisMaxValueExpression)

      Specified by:
        `setRangeAxisMaxValueExpression` in interface `JRDesignCategoryPlot`

    - #### setValueAxisLabelFont

          public void setValueAxisLabelFont(JRFont valueAxisLabelFont)

    - #### setValueAxisLabelColor

          public void setValueAxisLabelColor(java.awt.Color valueAxisLabelColor)

    - #### setValueAxisTickLabelFont

          public void setValueAxisTickLabelFont(JRFont valueAxisTickLabelFont)

    - #### setValueAxisTickLabelColor

          public void setValueAxisTickLabelColor(java.awt.Color valueAxisTickLabelColor)

    - #### setValueAxisTickLabelMask

          public void setValueAxisTickLabelMask(java.lang.String valueAxisTickLabelMask)

    - #### setValueAxisVerticalTickLabels

          public void setValueAxisVerticalTickLabels(java.lang.Boolean valueAxisVerticalTickLabels)

    - #### setValueAxisLineColor

          public void setValueAxisLineColor(java.awt.Color valueAxisLineColor)

    - #### setItemLabel

          public void setItemLabel(JRItemLabel itemLabel)

    - #### setCategoryAxisFormat

          public void setCategoryAxisFormat(JRAxisFormat axisFormat)

      Specified by:
        `setCategoryAxisFormat` in interface `JRDesignCategoryPlot`

    - #### setValueAxisFormat

          public void setValueAxisFormat(JRAxisFormat axisFormat)

      Specified by:
        `setValueAxisFormat` in interface `JRDesignCategoryPlot`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com